Update an existing incident.
curl --request PUT \
--url https://api.checklyhq.com/v1/status-pages/incidents/{incidentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"services": [
{
"name": "<string>",
"id": "<string>",
"accountId": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"duration": 123
}
'import requests
url = "https://api.checklyhq.com/v1/status-pages/incidents/{incidentId}"
payload = {
"name": "<string>",
"services": [
{
"name": "<string>",
"id": "<string>",
"accountId": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"duration": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
services: [
{
name: '<string>',
id: '<string>',
accountId: '<string>',
created_at: '2023-12-25',
updated_at: '2023-12-25'
}
],
id: '<string>',
created_at: '2023-12-25',
updated_at: '2023-12-25',
duration: 123
})
};
fetch('https://api.checklyhq.com/v1/status-pages/incidents/{incidentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"services": [
{
"name": "<string>",
"id": "<string>",
"accountId": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"incidentUpdates": [
{
"description": "<string>",
"id": "<string>",
"created_at": "2023-12-25",
"publicIncidentUpdateDate": "2026-07-13T03:11:27.141Z",
"notifySubscribers": false
}
],
"created_at": "2023-12-25",
"duration": 123,
"updated_at": "2023-12-25"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Status Page Incidents
Update an existing incident.
Updates an incident.
PUT
/
v1
/
status-pages
/
incidents
/
{incidentId}
Update an existing incident.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
Body
application/json
Maximum string length:
255Available options:
CRITICAL, MAJOR, MEDIUM, MINOR Minimum array length:
1Show child attributes
Show child attributes
Available options:
INVESTIGATING, IDENTIFIED, MONITORING, RESOLVED Response
Successful
Maximum string length:
255Available options:
CRITICAL, MAJOR, MEDIUM, MINOR Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
INVESTIGATING, IDENTIFIED, MONITORING, RESOLVED Was this page helpful?
⌘I